-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local log = require 'mc.logging'

local DELETE = 127 -- 删除
local SPACE = 32 -- 空格

local common = {}

function common.validate_byte(field, str)
    local byte
    for i = 1, #str do
        byte = string.byte(str, i, i)
        if byte < SPACE or byte >= DELETE then
            log:error('%s have special characters(%2X)', field, byte)
            return false
        end
    end
    return true
end

function common.trim(str)
    if #str == 0 then
        return ""
    end
    return (str:gsub("^%s*(.-)%s*$", "%1"))
end

return common
